using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace PARR.DAL.Migrations
{
    /// <inheritdoc />
    public partial class tblProcessSubTnkWorkUniqueEsppId : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateIndex(
                name: "IX_Works_EsppId",
                table: "Works",
                column: "EsppId",
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IX_Tnks_EsppId",
                table: "Tnks",
                column: "EsppId",
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IX_Subprocesses_EsppId",
                table: "Subprocesses",
                column: "EsppId",
                unique: true);

            migrationBuilder.CreateIndex(
                name: "IX_Processes_EsppId",
                table: "Processes",
                column: "EsppId",
                unique: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropIndex(
                name: "IX_Works_EsppId",
                table: "Works");

            migrationBuilder.DropIndex(
                name: "IX_Tnks_EsppId",
                table: "Tnks");

            migrationBuilder.DropIndex(
                name: "IX_Subprocesses_EsppId",
                table: "Subprocesses");

            migrationBuilder.DropIndex(
                name: "IX_Processes_EsppId",
                table: "Processes");
        }
    }
}
